#ifndef AVIFILE_ASXREADER_H
#define AVIFILE_ASXREADER_H

#include <vector>
#include <string>

class ASX_Reader
{
    std::vector<std::string> m_Urls;
public:
    ASX_Reader(){}
    virtual ~ASX_Reader(){}
    bool create(const std::vector<char>& data);
    bool getURLs(std::vector<std::string>& urls)
    {
	urls=m_Urls;
	return true;
    }
};

#endif // AVIFILE_ASXREADER_H
